San 3.6.8 发布,百度开源的 MVVM 组件框架

h4cd
 h4cd
发布于 2018年09月15日
收藏 5

San 3.6.8 发布了,此次更新内容如下:

  • 【优化】- 将 button 归为动态创建元素,兼容 ie8- 下 type 属性无法动态变更

  • 【优化】- disabled / readonly 等表单 bool 属性用于普通元素时,原样保留 attribute

  • 【bug修复】- template 中包含 if-else,当条件变更时,视图刷新可能有残留

发布公告

San 是百度开源的一个 MVVM 的组件框架。它体积小巧(12.6K),兼容性好(IE6),性能卓越,是一个可靠、可依赖的实现响应式用户界面的解决方案。

San 通过声明式的类 HTML 视图模板,在支持所有原生 HTML 的语法特性外,还支持了数据到视图的绑定指令、业务开发中最常使用的分支、循环指令等,在保持良好的易用性基础上,由框架完成基于字符串的模板解析,并构建出视图层的 节点关系树,通过高性能的视图引擎快速生成 UI 视图。San 中定义的数据会被封装,使得当数据发生有效变更时通知 San 组件,San 组件依赖模板编译阶段生成的节点关系树,确定需要变更的最小视图,进而完成视图的异步更新,保证了视图更新的高效性。

下载地址:

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:San 3.6.8 发布,百度开源的 MVVM 组件框架
加载中

精彩评论

caryhgq
caryhgq
兼用ie6 ,屌爆了,然而毫无意义!!!
恒山弟子
给政府部门做信息化,要兼容IE8,这个框架兼容性真好

最新评论(8

Diogo
Diogo
有些时候,不的不兼容 Ie8
Binx
Binx

引用来自“_vince”的评论

为什么政府的非要用IE,都能考上公务员的人..令人费解
这就体现我们大红心的价值了
_vince
_vince
为什么政府的非要用IE,都能考上公务员的人..令人费解
恒山弟子
给政府部门做信息化,要兼容IE8,这个框架兼容性真好
_
_hejg
不错,我们的部分产品需要兼容IE8,用着挺好。
宇林木风
前端轮子是真的多呀
caryhgq
caryhgq
兼用ie6 ,屌爆了,然而毫无意义!!!
土豆哥哥好
土豆哥哥好
兼容性牛逼,语法也很亲民,用过才知道爽
返回顶部
顶部